petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetOptionsPrefix

Sets the prefix used for searching for all TS options in the database.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetOptionsPrefix(TS ts,const char prefix[])

Logically Collective on TS Many br

### Input Parameter

| ts | - The TS context Many br
| prefix | - The prefix to prepend to all option names Many br

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. Many brThe first character of all runtime options is AUTOMATICALLY the Many brhyphen. Many br

Many br

### Keywords

TS, set, options, prefix, database

### See Also

TSSetFromOptions()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages